Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractFilters

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractFilters

    public class ContractFilters
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractFilters()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `int` | `getFc()` |
  `long` | `getGroupMask()` |
  `int` | `getId()` |
  `java.lang.String` | `getTitle()` |
  `boolean` | `isClosed()` |
  `boolean` | `isHidden()` |
  `boolean` | `isSubContracts()` |
  `void` | `setClosed​(boolean closed)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setFc​(int fc)` |
  `void` | `setGroupMask​(long groupMask)` |
  `void` | `setHidden​(boolean hidden)` |
  `void` | `setId​(int id)` |
  `void` | `setSubContracts​(boolean subContracts)` |
  `void` | `setTitle​(java.lang.String title)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractFilters

    public ContractFilters()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getFc

    public int getFc()

  - ### setFc

    public void setFc​(int fc)

  - ### getGroupMask

    public long getGroupMask()

  - ### setGroupMask

    public void setGroupMask​(long groupMask)

  - ### isSubContracts

    public boolean isSubContracts()

  - ### setSubContracts

    public void setSubContracts​(boolean subContracts)

  - ### isClosed

    public boolean isClosed()

  - ### setClosed

    public void setClosed​(boolean closed)

  - ### isHidden

    public boolean isHidden()

  - ### setHidden

    public void setHidden​(boolean hidden)